email.domain.add
curl --request POST \
--url https://platform.trylath.com/email/domain/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://platform.trylath.com/email/domain/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/domain/add"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/domain/add"
payload := strings.NewReader("{\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"status": "pending",
"providerStatus": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"receiving": true,
"blocker": "<string>",
"lastCheck": null,
"lastCheckedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"next": "<string>"
}
}email.domain.add
Adds a domain you own for sending. Returns the DNS records to create: three required (DKIM, return-path MX, return-path SPF) and two recommended (SPF, DMARC). Verify with email.domain.verify once they resolve; marketing sends need a verified domain.
POST
/
email
/
domain
/
add
email.domain.add
curl --request POST \
--url https://platform.trylath.com/email/domain/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://platform.trylath.com/email/domain/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/domain/add"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/domain/add"
payload := strings.NewReader("{\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"status": "pending",
"providerStatus": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"receiving": true,
"blocker": "<string>",
"lastCheck": null,
"lastCheckedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"next": "<string>"
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Bare domain, like mail.example.com
Required string length:
3 - 253Last modified on September 13, 2026
Was this page helpful?

